Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface RegistryObjectQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AssociationQueryType, AuditableEventQueryType, ClassificationNodeQueryType, ClassificationQueryType, ClassificationSchemeQueryType, ExtrinsicObjectQueryType, OrganizationQueryType, RegistryEntryQueryType, RegistryPackageQueryType, ServiceQueryType

All Known Implementing Classes:
  AssociationQueryTypeImpl, AuditableEventQueryTypeImpl, ClassificationNodeQueryTypeImpl, ClassificationQueryTypeImpl, ClassificationSchemeQueryTypeImpl, ExtrinsicObjectQueryTypeImpl, OrganizationQueryTypeImpl, RegistryEntryQueryTypeImpl, RegistryObjectQueryTypeImpl, RegistryPackageQueryTypeImpl, ServiceQueryTypeImpl

    public interface RegistryObjectQueryType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Registry Object Query Type'.

The following features are supported:

- `Registry Object Filter`
- `External Identifier Filter`
- `Auditable Event Query`
- `Name Branch`
- `Description Branch`
- `Classified By Branch`
- `Slot Branch`
- `Source Association Branch`
- `Target Association Branch`

See Also:
  `QueryPackage.getRegistryObjectQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAuditableEventQuery()` Returns the value of the 'Auditable Event Query' containment reference list.
`org.eclipse.emf.common.util.EList` | `getClassifiedByBranch()` Returns the value of the 'Classified By Branch' containment reference list.
`InternationalStringBranchType` | `getDescriptionBranch()` Returns the value of the 'Description Branch' containment reference.
`org.eclipse.emf.common.util.EList` | `getExternalIdentifierFilter()` Returns the value of the 'External Identifier Filter' containment reference list.
`InternationalStringBranchType` | `getNameBranch()` Returns the value of the 'Name Branch' containment reference.
`FilterType` | `getRegistryObjectFilter()` Returns the value of the 'Registry Object Filter' containment reference.
`org.eclipse.emf.common.util.EList` | `getSlotBranch()` Returns the value of the 'Slot Branch' containment reference list.
`org.eclipse.emf.common.util.EList` | `getSourceAssociationBranch()` Returns the value of the 'Source Association Branch' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTargetAssociationBranch()` Returns the value of the 'Target Association Branch' containment reference list.
`void` | `setDescriptionBranch(InternationalStringBranchType value)` Sets the value of the '`Description Branch`' containment reference.
`void` | `setNameBranch(InternationalStringBranchType value)` Sets the value of the '`Name Branch`' containment reference.
`void` | `setRegistryObjectFilter(FilterType value)` Sets the value of the '`Registry Object Filter`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryObjectFilter

    FilterType getRegistryObjectFilter()

  Returns the value of the 'Registry Object Filter' containment reference.

  If the meaning of the 'Registry Object Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Filter' containment reference.
  See Also:
    `setRegistryObjectFilter(FilterType)`, `QueryPackage.getRegistryObjectQueryType_RegistryObjectFilter()`

### setRegistryObjectFilter

    void setRegistryObjectFilter(FilterType value)

  Sets the value of the '`Registry Object Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Filter' containment reference.
  See Also:
    `getRegistryObjectFilter()`

### getExternalIdentifierFilter

    org.eclipse.emf.common.util.EList getExternalIdentifierFilter()

  Returns the value of the 'External Identifier Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'External Identifier Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier Filter' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_ExternalIdentifierFilter()`

### getAuditableEventQuery

    org.eclipse.emf.common.util.EList getAuditableEventQuery()

  Returns the value of the 'Auditable Event Query' containment reference list. The list contents are of type `AuditableEventQueryType`.

  If the meaning of the 'Auditable Event Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_AuditableEventQuery()`

### getNameBranch

    InternationalStringBranchType getNameBranch()

  Returns the value of the 'Name Branch' containment reference.

  If the meaning of the 'Name Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name Branch' containment reference.
  See Also:
    `setNameBranch(InternationalStringBranchType)`, `QueryPackage.getRegistryObjectQueryType_NameBranch()`

### setNameBranch

    void setNameBranch(InternationalStringBranchType value)

  Sets the value of the '`Name Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Name Branch' containment reference.
  See Also:
    `getNameBranch()`

### getDescriptionBranch

    InternationalStringBranchType getDescriptionBranch()

  Returns the value of the 'Description Branch' containment reference.

  If the meaning of the 'Description Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description Branch' containment reference.
  See Also:
    `setDescriptionBranch(InternationalStringBranchType)`, `QueryPackage.getRegistryObjectQueryType_DescriptionBranch()`

### setDescriptionBranch

    void setDescriptionBranch(InternationalStringBranchType value)

  Sets the value of the '`Description Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Description Branch' containment reference.
  See Also:
    `getDescriptionBranch()`

### getClassifiedByBranch

    org.eclipse.emf.common.util.EList getClassifiedByBranch()

  Returns the value of the 'Classified By Branch' containment reference list. The list contents are of type `ClassifiedByBranchType`.

  If the meaning of the 'Classified By Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classified By Branch' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_ClassifiedByBranch()`

### getSlotBranch

    org.eclipse.emf.common.util.EList getSlotBranch()

  Returns the value of the 'Slot Branch' containment reference list. The list contents are of type `SlotBranchType`.

  If the meaning of the 'Slot Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot Branch' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_SlotBranch()`

### getSourceAssociationBranch

    org.eclipse.emf.common.util.EList getSourceAssociationBranch()

  Returns the value of the 'Source Association Branch' containment reference list. The list contents are of type `AssociationBranchType`.

  If the meaning of the 'Source Association Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Association Branch' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_SourceAssociationBranch()`

### getTargetAssociationBranch

    org.eclipse.emf.common.util.EList getTargetAssociationBranch()

  Returns the value of the 'Target Association Branch' containment reference list. The list contents are of type `AssociationBranchType`.

  If the meaning of the 'Target Association Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Association Branch' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_TargetAssociationBranch()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD